~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
This document contains
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-System Requirements............[S-REQ]
-Upgrade Instructions...........[S-UPG]
-Installation Instructions......[S-INS]
-F.A.Q's........................[S-FAQ]

Questions or Comments about this document may be sent to support@blesta.com.


~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
System Requirements [S-REQ]
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-Internet connection
-PHP 5.0+ with cURL extension
-MySQL 4+
-OpenSSL or Equivalent
-SourceGuardian


~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Upgrade Instructions [S-UPG]
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
1. Back up ALL of your files and your ENTIRE database before proceeding.

2. If you have modified /cronjob.php or /templates/argentum/images/invoice-pdf.png do not
   overwrite these files (unless directed to do so). ***Version 2.4 requires that you overwrite
   cronjob.php***

3. Extract the contents of public_html to your web directory (this document assumes your web
   directory is public_html).  If you have modified invoice-pdf.png be sure not to overwrite it. 
   Do not delete your config.php file!  This will be required in order to run the upgrade 
   script.  Once you have overwritten the rest of your files proceed to step 4.

4. Overwrite all files in your cron AND ixed directories with those from the install.

5. Now that you have overwritten all of your files, run ./public_html/upgrade/index.php through
   your web browser.  For example, if you have installed Blesta in /blesta on yourdomain.com visit:
   http://www.yourdomain.com/blesta/upgrade/index.php. 

   *** IMPORTANT: DO NOT ATTEMPT TO LOG INTO BLESTA UNTIL AFTER YOU RUN THE UPDATE SCRIPT! ***

6. Follow the on screen instructions.  If asked to overwrite your config.php file do so, but be
   sure word-wrap is *NOT* set and you save config.php in plain-text only!


~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Installation Instructions [S-INS]
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
1. Extract the contents of public_html to your web directory (this document assumes your web
   directory is public_html).

2. Place the cron directory and its contents ABOVE public_html. If you place
   the cron directory anyplace other than "../public_html" you will need to modify 
   ./public_html/cronjob.php to reflect this change.  For security reasons, your cron directory
   should be above any web accessible directory. 

3. Place the ixed directory in the same location as your cron directory.

4. Place the uploads directory in the same location you placed your cron directory.  Ensure that
   all subdirectories of this directory are writable by the web server.

5. Run ./public_html/install.php through your web browser to begin the installation process
   and follow the on screen instructions.  NOTE: Blesta must be installed under a fresh database,
   otherwise Blesta may overwrite any tables already contained in the database.  If asked to
   create config.php be sure word-wrap is *NOT* set and you save config.php in as plain-text
   only!

6. Log in using the Admin login you created during the installation process and navigate to
   [Settings].  Modify these settings as you like.

7. Take a look at [Settings] > [API/Cron Settings].  This page contains information on setting
   up your cron to automate tasks in Blesta.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
F.A.Q. [S-FAQ]
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Q. How do I edit the look of my PDF invoices?
A. You can edit public_html/templates/argentum/images/invoice-pdf.png.  We've placed the PSD
   for this file in public_html/templates/argentum/psd/invoices.psd.

   Note: As of version 2.1 you may upload background and logo images through the interface.

Q. I want to set bill-cron and suspend to run at separate intervals from the cron, how can I do this?
A. You can create multiple cron jobs, each with a cron line similar to:
   GET -t 15m http://www.yourdomain.com/cronjob.php?key=REMOTEKEY&cron=CRONFILE > /dev/null 2>&1 &

   Where REMOTEKEY is your Remote Access Key and CRONFILE is the name of the cron file you wish to
   run, WITHOUT the php extension (i.e. bill-cron).

Q. How do I create my own language file?
A. Copy our supplied language file from /language/en-us.php.  Rename this file to your language
   according to ISO 639 or ISO 639-2.  You MUST save this file as UTF-8 or your language will not 
   work.  You may then select this language file from [Tools] > [Settings] > [Standard Settings].

   A useful tool for creating and validating language files can be found at:
   http://www.blesta.com/langval/

Q. I have an owned license, why does Blesta tell me my license key may have expired?
A. You may not have a cron job set to run bill-cron. To avoid having to manually authenticate your
   license, you must have this cron set to run. See step 7 of the Installation Instructions above for
   information on setting cron jobs.

For more information try our forums online at www.blesta.com/forums/


-------------------------
Brought to you by
The Blesta Dev Team
www.blesta.com

readme version 1.10 dist. with Blesta 2.4
